Module java.desktop
Package javax.swing.plaf

## Class BorderUIResource.CompoundBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.CompoundBorder
    - - javax.swing.plaf.BorderUIResource.CompoundBorderUIResource

- All Implemented Interfaces:
    `Serializable`, `Border`, `UIResource`
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.CompoundBorderUIResource
      extends CompoundBorder
      implements UIResource

  A compound border UI resource.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.CompoundBorder

      `insideBorder, outsideBorder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompoundBorderUIResource​(Border outsideBorder, Border insideBorder)` | Constructs a `CompoundBorderUIResource`.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class javax.swing.border.CompoundBorder

      `getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundBorderUIResource

          @ConstructorProperties({"outsideBorder","insideBorder"})
          public CompoundBorderUIResource​(Border outsideBorder,
                                          Border insideBorder)

      Constructs a `CompoundBorderUIResource`.
      Parameters:
        `outsideBorder` - the outside border
        `insideBorder` - the inside border